Package twisted :: Package protocols :: Module htb :: Class ShapedConsumer |
[show private | hide private]
[frames | no frames]

## Class ShapedConsumer

    BasicProducerConsumerProxy --+
                                 |
             ProducerConsumerProxy --+
                                     |
                                    ShapedConsumer

Known Subclasses:
  `ShapedTransport`

I wrap a Consumer and shape the rate at which it receives data.

Method Summary
| `__init__(self, consumer, bucket)`
| `__repr__(self)` (inherited from `BasicProducerConsumerProxy`)
| `finish(self)` (inherited from `BasicProducerConsumerProxy`)
| `pauseProducing(self)` (inherited from `ProducerConsumerProxy`)
| `registerProducer(self, producer, streaming)` (inherited from `ProducerConsumerProxy`)
| `resumeProducing(self)` (inherited from `ProducerConsumerProxy`)
| `stopProducing(self)`
| `unregisterProducer(self)` (inherited from `ProducerConsumerProxy`)
| `write(self, data)` (inherited from `ProducerConsumerProxy`)

Class Variable Summary
`int` | `iAmStreaming`

Class Variable Details

    ### iAmStreaming Type: `int` Value:
        0

Generated by Epydoc 1.1 on Thu May 8 13:16:37 2003 | http://epydoc.sf.net